For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update address details for a customer

Update details for a customer. Partial updates are allowed.

Required permissions: CUSTOMER

put
/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerAddressUidstringRequired

Reference to a Customer address.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
companyNamestringOptional
countryCodestringOptional
firstnamestringOptional
lastnamestringOptional
emailstringOptional
phonestringOptional
postalCodestringOptional
typestring · enumOptionalPossible values:
Responses
200

CustomerAddressResponse

application/json
addressstringRequired
citystringRequired
companyNamestringRequired
firstnamestringRequired
lastnamestringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
postalCodestringRequired
typestring · enumRequiredPossible values:
customerAddressUidstringRequired
displayNamestringRequired
put/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}
PUT /v2/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 187

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "countryCode": "text",
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS"
}
200

CustomerAddressResponse

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "firstname": "text",
  "lastname": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS",
  "customerAddressUid": "text",
  "displayName": "text"
}

Last updated

Was this helpful?